Revoke an API key
curl --request DELETE \
--url https://api.unitedmarket.ai/me/api-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.unitedmarket.ai/me/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/me/api-keys/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}API Keys
Revoke an API key
Permanently revokes an API key. Requires x-api-key and a SIWE bearer.
DELETE
https://api.unitedmarket.ai
/
me
/
api-keys
/
{id}
Revoke an API key
curl --request DELETE \
--url https://api.unitedmarket.ai/me/api-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.unitedmarket.ai/me/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/me/api-keys/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}Authorizations
Shared web key or a personal key (umk_live_…). Required on routes that are not @Public(). A missing or unknown key returns 401 Invalid API Key provided even if a SIWE bearer is also sent.
SIWE access token returned by POST /auth/verify.
Path Parameters
API key id.
Response
API key revoked.
Example:
true
